<?php
namespace Controller;

use Service\ConnectionService;
use Service\DeleteCascadeService;
use Util\Environment;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\Manager;
use Util\Utilities;

class ApiUsageLog extends Crud  {

    protected $dataSourceName = 'apiUsageLog';
    /** @var \Service\Manager\Mongo\Manager  */
    protected $organizationMongoManager;
    /** @var Environment */
    protected $environment;

    public function __construct(\Service\Manager\Mongo\Manager $organizationMongoManager, DeleteCascadeService $deleteCascadeService, Environment $environment) {
        parent::__construct($organizationMongoManager, $deleteCascadeService);
        $this->organizationMongoManager = $organizationMongoManager;
        $this->environment = $environment;
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response)
    {
        $filterData = $request->getFilterCriteria();
        $filterData->setDataSourceName($this->dataSourceName);
        $sort = $this->mongoManager->processSort($filterData);
        if(empty($sort)){
            $sort = array("CREATED_AT" => -1 );
        }
        $dataSet = $this->mongoManager->findByPagination($filterData,$sort);
        $response->addDataSet($dataSet);
        $dataSet = $response->getDataSets()[0];
        Utilities::datasetMongoToZeedhi($response, $dataSet,$this->dataSourceName);

    }
}