<?php

namespace Controller;
use Service\LoginService;
use Util\Environment;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;

class User {
    protected $dataSourceName = "user";
    protected $loginService;
    protected $environment;
    public function __construct(Environment $environment, LoginService $loginService) {
        $this->environment = $environment;
        $this->loginService = $loginService;
    }
    public function find (DTO\Request\Filter $request, DTO\Response $response) {
        $filter = array(
            "requestType" => "FilterData",
            "filter" => array(
                array(
                    "name"=> "ORGANIZATION_ID",
                    "operator" => "=",
                    "value" => $this->environment->getOrganizationId()
                ),
                array(
                    "name"=> "IS_ACTIVE",
                    "operator" => "=",
                    "value" => "Y"
                )
            )
        );
        $dataSet = $this->loginService->getSession($this->environment->getToken(), '/user', $filter);
        $response->addDataSet(new DataSet($this->dataSourceName,$dataSet));
    }
}