/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_FAMILIASALDO                                             */
/* Tabela : FAMILIASALDO                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 24/08/2006 - Wanderson Aloisio                                             */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_FAMILIASALDO'  and
            type = 'TR' and
            u.uid = o.uid and
            u.name = USER)
   DROP TRIGGER DTULTATU_FAMILIASALDO
GO

CREATE TRIGGER DTULTATU_FAMILIASALDO
ON FAMILIASALDO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'FAMILIASALDO', '', 'CDFAMILISALD='+CDFAMILISALD+';', CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108)) FROM DELETED)
   END
   ELSE BEGIN
      UPDATE FAMILIASALDO
      SET DTULTATUFAMS = CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108))
      FROM INSERTED
      WHERE (ISNULL(FAMILIASALDO.CDFAMILISALD,0) = ISNULL(INSERTED.CDFAMILISALD,0)) AND
            (ISNULL(FAMILIASALDO.NMFAMILISALD,0) = ISNULL(INSERTED.NMFAMILISALD,0));
   END;
END;
GO

UPDATE FAMILIASALDO SET DTULTATUFAMS = CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108)) WHERE DTULTATUFAMS IS NULL
GO

IF EXISTS(SELECT * FROM sysobjects O
          WHERE
            o.name = 'DEFAULT_DTULTATUFAMS' and
            type = 'D')
   ALTER TABLE FAMILIASALDO DROP CONSTRAINT DEFAULT_DTULTATUFAMS
GO

ALTER TABLE FAMILIASALDO ADD CONSTRAINT DEFAULT_DTULTATUFAMS
DEFAULT CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108))
FOR DTULTATUFAMS
GO


-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_FAMILIASALDO','4.11.194';
GO

